com.lowagie.text.pdf.interfaces

## Interface PdfPageActions

- All Known Implementing Classes:
    FdfWriter.Wrt, PdfCopy, PdfCopyFieldsImp, PdfCopyFormsImp, PdfSmartCopy, PdfStamperImp, PdfWriter

      public interface PdfPageActions

  A PDF page can have an open and/or close action.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDuration(int seconds)` Sets the display duration for the page (for presentations)
    `void` | `setPageAction(PdfName actionType, PdfAction action)` Sets the open and close page additional action.
    `void` | `setTransition(PdfTransition transition)` Sets the transition for the page

- - ### Method Detail

    - #### setPageAction

          void setPageAction(PdfName actionType,
                           PdfAction action)
                             throws DocumentException

      Sets the open and close page additional action.
      Parameters:
        `actionType` - the action type. It can be `PdfWriter.PAGE_OPEN` or `PdfWriter.PAGE_CLOSE`
        `action` - the action to perform
      Throws:
        `DocumentException` - if the action type is invalid

    - #### setDuration

          void setDuration(int seconds)

      Sets the display duration for the page (for presentations)
      Parameters:
        `seconds` - the number of seconds to display the page

    - #### setTransition

          void setTransition(PdfTransition transition)

      Sets the transition for the page
      Parameters:
        `transition` - the Transition object